import type { PluginItem } from '@babel/core';
type ConvertOptions = {
    readonly recast: boolean;
    readonly prettier: boolean;
    readonly allowJs: boolean;
    readonly gitignore: boolean;
    readonly include: string;
    readonly exclude: string[];
    readonly dryRun: boolean;
    readonly legacyImports: boolean;
    readonly keepAnnotatedJs: boolean;
    readonly removeAllImportExtensions?: boolean;
    readonly keepImportExtensions?: boolean;
    renameHook?: () => Promise<void>;
    /**
     * Additional babel plugin codemods with type fixes to apply on converted code.
     * Each plugin is to be run separately in order they are provided. To avoid possible conflicts.
     *
     * Because of the verification step after codemods - changes should be limited to changing only type annotations or comments.
     * @param opts
     */
    getTypeFixesBabelPlugins?: (opts: {
        isJSX: boolean;
    }) => PluginItem[] | null | undefined;
};
export declare function convert(cwd: string, opts: ConvertOptions): Promise<void>;
export {};
//# sourceMappingURL=convert.d.ts.map