import * as prettier from 'prettier';
import { type SourceOptions } from './detectOptions';
import { PluginItem } from '@babel/core';
type Logger = {
    warn: typeof console.warn;
    log: typeof console.warn;
    error: typeof console.warn;
};
export declare function convertFile(source: string, opts?: {
    sourceFilePath?: string;
    targetFilePath?: string;
    recast?: boolean;
    prettier?: boolean;
    prettierOptions?: prettier.Options;
    fileOptions?: SourceOptions;
    legacyImports?: boolean;
    logger?: Logger;
    /**
     * Additional babel plugin codemods with type fixes to apply on converted code.
     * Each plugin is to be run separately in order they are provided. To avoid possible conflicts.
     *
     * Because of the verification step after codemods - changes should be limited to changing only type annotations or comments.
     * @param opts
     */
    getTypeFixesBabelPlugins?: (opts: {
        isJSX: boolean;
    }) => PluginItem[] | null | undefined;
    removeImportExtensions?: boolean;
}): Promise<string>;
export {};
//# sourceMappingURL=convertFile.d.ts.map