"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createTransform = void 0;
const babel = __importStar(require("@babel/core"));
const prettier = __importStar(require("prettier"));
const babel_plugin_recast_1 = __importDefault(require("@flowts/babel-plugin-recast"));
/**
 * Helper utility creating function transforming the code given plugins array
 * @param plugins
 * @param prettierConfig
 * @param recast
 */
function createTransform(plugins, { prettierConfig = {}, recast = true } = {}) {
    const transformPlugins = [];
    if (recast) {
        transformPlugins.push(babel_plugin_recast_1.default);
    }
    return function transform(code) {
        const transformResult = babel.transformSync(code, {
            compact: false,
            babelrc: false,
            configFile: false,
            plugins: [...transformPlugins, ...plugins],
        });
        if (transformResult === null) {
            throw new Error('babel.transformSync returned null, probably configuration issue');
        }
        prettierConfig.parser = 'babel-ts';
        return prettier.format(transformResult.code, Object.assign(Object.assign({}, prettierConfig), { 
            // avoid changing template strings
            embeddedLanguageFormatting: 'off' }));
    };
}
exports.createTransform = createTransform;
//# sourceMappingURL=createTransform.js.map