"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.detectOptions = void 0;
const babel = __importStar(require("@babel/core"));
const traverse_1 = __importDefault(require("@babel/traverse"));
const sharedParserPlugins_1 = require("./sharedParserPlugins");
function detectOptions(source, filename) {
    const flowAst = babel.parseSync(source, {
        compact: false,
        babelrc: false,
        configFile: false,
        ast: true,
        parserOpts: {
            allowReturnOutsideFunction: true,
            plugins: [['flow', { enums: true }], 'jsx', ...sharedParserPlugins_1.sharedParserPlugins],
        },
        filename,
    });
    let isJSX = /\.jsx$/i.test(filename);
    const isDefinitionFile = /\.js\.flow$/i.test(filename);
    const hasFlowAnnotation = /@flow/.test(source);
    const hasNoFlowAnnotation = /@noflow/.test(source);
    let hasTypes = false;
    if (flowAst === null) {
        throw new Error('babel.parseSync returned null - probably there is some configuration error');
    }
    // workaround to have "scope.hub"
    // @ts-ignore
    new babel.File({ filename }, { code: source, ast: flowAst });
    (0, traverse_1.default)(flowAst, {
        JSX() {
            isJSX = true;
        },
        Flow() {
            hasTypes = true;
        },
    });
    return {
        isJSX,
        isDefinitionFile,
        hasFlowAnnotation,
        hasNoFlowAnnotation,
        hasTypes,
    };
}
exports.detectOptions = detectOptions;
//# sourceMappingURL=detectOptions.js.map