"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const updateFlowPragma = (comments) => {
    comments
        .filter((item) => /@flow/.test(item.value))
        .forEach((comment) => {
        comment.value = comment.value.replace('@flow', '@ts-check');
    });
    comments
        .filter((item) => /@noflow/.test(item.value))
        .forEach((comment) => {
        comment.value = comment.value.replace('@noflow', '@ts-nocheck');
    });
};
exports.default = (_babel, opts) => {
    const visitor = {
        Program(path) {
            const [firstNode] = path.node.body;
            if (firstNode &&
                firstNode.leadingComments &&
                firstNode.leadingComments.length) {
                updateFlowPragma(firstNode.leadingComments);
            }
            // @ts-expect-error recast support
            if (firstNode && firstNode.comments && firstNode.comments.length) {
                // @ts-expect-error recast support
                updateFlowPragma(firstNode.comments);
            }
        },
    };
    return {
        name: 'fix-flow-pragma',
        visitor,
    };
};
//# sourceMappingURL=fixFlowPragmaPlugin.js.map