"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const fixFlowPragmaPlugin_1 = __importDefault(require("./fixFlowPragmaPlugin"));
const createTransform_1 = require("./createTransform");
const transform = (0, createTransform_1.createTransform)([fixFlowPragmaPlugin_1.default]);
describe('fixFlowPragmaPlugin', () => {
    test('flow', () => {
        expect(transform(`
// @flow
let a = 1;
export {a};
`)).toMatchInlineSnapshot(`
      "// @ts-check
      let a = 1;
      export { a };
      "
    `);
    });
    test('noflow', () => {
        expect(transform(`
// @noflow
let a = 1;
export {a};
`)).toMatchInlineSnapshot(`
      "// @ts-nocheck
      let a = 1;
      export { a };
      "
    `);
    });
    test('flow block comment', () => {
        expect(transform(`
/* @flow */
let a = 1;
export {a};
`)).toMatchInlineSnapshot(`
      "/* @ts-check */
      let a = 1;
      export { a };
      "
    `);
    });
    test('noflow block comment', () => {
        expect(transform(`
/* @noflow */
let a = 1;
export {a};
`)).toMatchInlineSnapshot(`
      "/* @ts-nocheck */
      let a = 1;
      export { a };
      "
    `);
    });
});
//# sourceMappingURL=fixFlowPragmaPlugin.test.js.map