import * as t from '@babel/types';
import * as prettier from 'prettier';
export declare class Rule {
    private readonly ruleAst;
    private moduleName;
    private globalsObjPath;
    private modulesObjPath;
    private globalRules;
    private moduleRules;
    constructor(moduleName: string, ruleAst: t.File);
    static create(moduleName: string): Rule;
    static parse(ruleSource: string): Rule;
    print(prettierConfig: prettier.Options | undefined): string;
    setGlobalRule(declarationName: string, fix: t.Statement[], comments: Array<{
        type: string;
        value: string;
    }>): void;
    setModuleRule(moduleName: string, declarationName: string, fix: t.Statement[], comments: Array<{
        type: string;
        value: string;
    }>): void;
}
//# sourceMappingURL=Rule.d.ts.map