"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const t = __importStar(require("@babel/types"));
const jestModuleNameUsages = new Set([
    'mock',
    'unmock',
    'doMock',
    'dontMock',
    'setMock',
    'requireActual',
    'requireMock',
]);
exports.default = (_babel, opts) => {
    const hasJsExtension = (source) => /.*\.(?:js|js\.flow)$/.test(source);
    const isConvertedFile = opts.isConvertedFile || ((source) => true);
    function visit(sourceLiteral) {
        const source = sourceLiteral.value;
        if (hasJsExtension(source) && isConvertedFile(source)) {
            sourceLiteral.value = source.replace(/\.(?:js|js\.flow)$/, '');
        }
    }
    const visitor = {
        CallExpression(path) {
            // import('something')
            if (t.isImport(path.node.callee) &&
                t.isStringLiteral(path.node.arguments[0])) {
                visit(path.node.arguments[0]);
            }
            // jest.mock('something', …)
            if (t.isMemberExpression(path.node.callee) &&
                t.isIdentifier(path.node.callee.object) &&
                path.node.callee.object.name === 'jest' &&
                t.isIdentifier(path.node.callee.property) &&
                jestModuleNameUsages.has(path.node.callee.property.name) &&
                t.isStringLiteral(path.node.arguments[0])) {
                visit(path.node.arguments[0]);
            }
            // require('something')
            if (t.isIdentifier(path.node.callee) &&
                path.node.callee.name === 'require' &&
                t.isStringLiteral(path.node.arguments[0])) {
                visit(path.node.arguments[0]);
            }
        },
        ImportDeclaration(path) {
            visit(path.node.source);
        },
        ExportNamedDeclaration(path) {
            if (path.node.source) {
                visit(path.node.source);
            }
        },
        ExportAllDeclaration(path) {
            visit(path.node.source);
        },
    };
    return {
        name: 'remove-import-extension',
        visitor,
    };
};
//# sourceMappingURL=removeImportExtensionPlugin.js.map