import { NodePath } from '@babel/traverse';
export interface GlobalFixContext {
    import(moduleName: string, exportName: string): void;
    renameGlobal(newName: string): void;
    referencePaths: NodePath[];
}
export interface NamedFixContext {
    renameExport(newExportName: string): void;
    referencePaths: NodePath[];
}
export interface RuleSet {
    globals: {
        [k: string]: false | ((context: GlobalFixContext) => void);
    };
    modules: {
        [k: string]: {
            /**
             * True if module "default" export can be used instead of namespace import
             */
            commonjs?: boolean;
            exports: {
                [k: string]: false | ((context: NamedFixContext) => void);
            };
        };
    };
}
//# sourceMappingURL=ruleTypes.d.ts.map