"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const tsTypesPlugin_1 = __importDefault(require("../../tsTypesPlugin"));
const createTransform_1 = require("../../createTransform");
const transform = (0, createTransform_1.createTransform)([tsTypesPlugin_1.default]);
describe('lib/intl.js', () => {
    describe('globals', () => {
        describe('Intl', () => {
            test('variable', () => {
                expect(transform(`
            var a = Intl;
          `)).toMatchSnapshot();
            });
        });
        describe('Intl$Collator', () => {
            test('variable', () => {
                expect(transform(`
            var a = Intl$Collator;
          `)).toMatchSnapshot();
            });
            test('generated - class', () => {
                expect(transform(`
            new Intl$Collator();
            
            class A1 extends Intl$Collator {};
          `)).toMatchSnapshot();
            });
        });
        describe('Intl$CollatorOptions', () => {
            test('generated - type', () => {
                expect(transform(`
          `)).toMatchSnapshot();
            });
            test('generated - interface', () => {
                expect(transform(`
            class A1 implements Intl$CollatorOptions {};
          `)).toMatchSnapshot();
            });
        });
        describe('Intl$DateTimeFormat', () => {
            test('variable', () => {
                expect(transform(`
            var a = Intl$DateTimeFormat;
          `)).toMatchSnapshot();
            });
            test('generated - class', () => {
                expect(transform(`
            new Intl$DateTimeFormat();
            
            class A1 extends Intl$DateTimeFormat {};
          `)).toMatchSnapshot();
            });
        });
        describe('Intl$DateTimeFormatOptions', () => {
            test('generated - type', () => {
                expect(transform(`
          `)).toMatchSnapshot();
            });
            test('generated - interface', () => {
                expect(transform(`
            class A1 implements Intl$DateTimeFormatOptions {};
          `)).toMatchSnapshot();
            });
        });
        describe('Intl$NumberFormat', () => {
            test('variable', () => {
                expect(transform(`
            var a = Intl$NumberFormat;
          `)).toMatchSnapshot();
            });
            test('generated - class', () => {
                expect(transform(`
            new Intl$NumberFormat();
            
            class A1 extends Intl$NumberFormat {};
          `)).toMatchSnapshot();
            });
        });
        describe('Intl$NumberFormatOptions', () => {
            test('generated - type', () => {
                expect(transform(`
          `)).toMatchSnapshot();
            });
            test('generated - interface', () => {
                expect(transform(`
            class A1 implements Intl$NumberFormatOptions {};
          `)).toMatchSnapshot();
            });
        });
        describe('Intl$PluralRules', () => {
            test('variable', () => {
                expect(transform(`
            var a = Intl$PluralRules;
          `)).toMatchSnapshot();
            });
            test('generated - class', () => {
                expect(transform(`
            new Intl$PluralRules();
            
            class A1 extends Intl$PluralRules {};
          `)).toMatchSnapshot();
            });
        });
        describe('Intl$PluralRulesOptions', () => {
            test('generated - type', () => {
                expect(transform(`
          `)).toMatchSnapshot();
            });
            test('generated - interface', () => {
                expect(transform(`
            class A1 implements Intl$PluralRulesOptions {};
          `)).toMatchSnapshot();
            });
        });
    });
    describe('modules', () => {
        test('has no modules', () => { });
    });
});
//# sourceMappingURL=intl.test.js.map