import * as t from '@babel/types';
export type CommentOperation = {
    type: 'remove';
} | {
    type: 'replace';
    code: string;
} | {
    type: 'skip';
};
/**
 * Helper to update fix comments.
 *
 * This is to be used to removing/replacing code in place of comments, instead of using babel plugin.
 * Reason is - babel generator does not preserve formatting. recast has bugs for this kind of changes.
 *
 * @param source
 * @param transform
 * @param options
 */
export declare function updateComments(source: string, transform: (comment: t.Comment) => CommentOperation, options: {
    isJSX: boolean;
    syntax: 'flow' | 'typescript';
    filename?: string;
}): string;
//# sourceMappingURL=updateComments.d.ts.map