"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const removeEmptyExportPlugin_1 = __importDefault(require("./removeEmptyExportPlugin"));
const createTransform_1 = require("../createTransform");
const transform = (0, createTransform_1.createTransform)([removeEmptyExportPlugin_1.default]);
describe('removeExportAllTypePlugin', () => {
    test('export with specifier is not removed', () => {
        expect(transform(`
        const a = 1;
        export { a };
    `)).toMatchInlineSnapshot(`
      "const a = 1;
      export { a };
      "
    `);
    });
    test('export const is not removed', () => {
        expect(transform(`export const a = 1;`)).toMatchInlineSnapshot(`
"export const a = 1;
"
`);
    });
    test('export all is removed', () => {
        expect(transform(`export {};`)).toMatchInlineSnapshot(`""`);
    });
});
//# sourceMappingURL=removeEmptyExportPlugin.test.js.map