"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const removeEnumsPlugin_1 = __importDefault(require("./removeEnumsPlugin"));
const createTransform_1 = require("../createTransform");
describe('removeEnumsPlugin', () => {
    test('flow enums are removed', () => {
        const transform = (0, createTransform_1.createTransform)([
            () => ({
                name: 'config',
                manipulateOptions(opts, parserOpts) {
                    parserOpts.plugins.push(['flow', { enums: true }]);
                },
            }),
            removeEnumsPlugin_1.default,
        ]);
        expect(transform(`
enum E1 {
  A,
  B,
  C,
}

enum E2 {
  A = 'a',
  B = 'b',
  C = 'c',
}

enum E3 {
  A = true,
  B = false,
}

enum E4 {
  A = 1,
  B = 2,
  C = 3,
}
`)).toMatchInlineSnapshot(`""`);
    });
    test('ts enums are removed', () => {
        const transform = (0, createTransform_1.createTransform)([
            () => ({
                name: 'config',
                manipulateOptions(opts, parserOpts) {
                    parserOpts.plugins.push('typescript');
                },
            }),
            removeEnumsPlugin_1.default,
        ]);
        expect(transform(`
enum E1 {
  A,
  B,
  C,
}

enum E2 {
  A = 'a',
  B = 'b',
  C = 'c',
}

enum E3 {
  A = true,
  B = false,
}

enum E4 {
  A = 1,
  B = 2,
  C = 3,
}
`)).toMatchInlineSnapshot(`""`);
    });
});
//# sourceMappingURL=removeEnumsPlugin.test.js.map