"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const removeExportAllTypePlugin_1 = __importDefault(require("./removeExportAllTypePlugin"));
const createTransform_1 = require("../createTransform");
const transform = (0, createTransform_1.createTransform)([removeExportAllTypePlugin_1.default]);
describe('removeExportAllTypePlugin', () => {
    test('export all is removed', () => {
        expect(transform(`
import { Component } from 'react';
import R from 'react-dom';
import 'a.css';

class C extends Component {}
export type * from './somewhere';
`)).toMatchInlineSnapshot(`
      "import { Component } from "react";
      import R from "react-dom";
      import "a.css";

      class C extends Component {}
      export * from "./somewhere";
      "
    `);
    });
});
//# sourceMappingURL=removeExportAllTypePlugin.test.js.map