"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const transformTypeOnlyImports_1 = __importDefault(require("./transformTypeOnlyImports"));
const createTransform_1 = require("../createTransform");
const transform = (0, createTransform_1.createTransform)([transformTypeOnlyImports_1.default]);
describe('removeExportAllTypePlugin', () => {
    test('export all is removed', () => {
        expect(transform(`
import {type A} from 'a';
import {type B, b} from 'b';
import {} from 'c';
`)).toMatchInlineSnapshot(`
      "import type { A } from "a";
      import { type B, b } from "b";
      import {} from "c";
      "
    `);
    });
});
//# sourceMappingURL=transformTypeOnlyImports.test.js.map